import Vue from 'vue';
import Router from 'vue-router';
const Login = () => import('@/views/Login');
const Home = () => import('@/views/Home');
// 首页
const Main = () => import('@/views/main/main');
//导航管理部分
const Navigation = () => import('@/views/navigation/navigation');
//图片管理部分
const Photo = () => import('@/views/photo/photo');
//新闻管理部分
const Journalism = () => import('@/views/journalism/journalism');
//友情链接管理部分
const Friendship = () => import('@/views/friendship/friendship');

import { Message } from 'element-ui';

Vue.use(Router);

const router = new Router({
  routes: [
    {name: 'Login', path: '/login', component: Login},
    {name: 'Home',
      path: '/',
      component: Home,
      redirect: '/main',
      children:[
        //首页
        {name: 'Main', path: '/main',component: Main},
        // 用户中心部分
        {name: 'Navigation', path: '/navigation', component: Navigation},
        //图片管理部分
        {name: 'Photo', path: '/photo', component: Photo},
        //新闻管理部分
        {name: 'Journalism', path: '/journalism', component: Journalism},
        //友情链接管理部分
        {name: 'Friendship', path: '/friendship', component: Friendship},

      ]
    }
  ]
});

router.beforeEach((to, from, next) => {
  // console.log(to);
  // console.log(from);
  // next();
  // 如果是登录的时候不判断token ，不是登录才判断token
  // console.log(to);
  if (to.name && to.name.toLocaleLowerCase() !== 'login') {
    // 判断token
    const token = sessionStorage.getItem('token');
    if (!token) {
      // 没有token,跳转到登录页面
      // this.$router.push('/login')
      router.push('/login');
      // 提示
      // this.$message.warning('请先登录');
      Message.warning('请先登录');
      return;
    }
  }
  next();
});

export default router;
